

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import java.util.Random;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;
import javax.faces.event.ActionEvent;

@SuppressWarnings("serial")
@ManagedBean(name = "mb")
@ViewScoped
public class DummyBean implements Serializable{
	private String name;
	private List<String> items;
	
	public DummyBean() {
		name = "";
		items = new ArrayList<String>();
		randomizeContent();
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public List<String> getItems() {
		return items;
	}

	public void setItems(List<String> items) {
		this.items = items;
	}
	
	public void action(ActionEvent event) {
		randomizeContent();
	}
	
	private void randomizeContent() {
		Random r = new Random(System.currentTimeMillis());
		int num = (r.nextInt(20));
		name = "Size " + num;
		
		items = new ArrayList<String>();
		for (int i = 0; i < num; i++) {
			items.add("Item" + (i + 1));
		}
	}
}
